Subject: [PATCH] ARM: atags: add support for Marvell's u-boot

From: [email-masked] (Sebastian Hesselbarth)
Date: Tue, 04 Jun 2013 10:43:05 +0200

On 06/04/13 10:10, Thomas Petazzoni wrote:
> On Mon, 03 Jun 2013 15:07:45 -0400 (EDT), Nicolas Pitre wrote:
>> Isn't upstream U-Boot supporting Marvell devices properly these days?
 >
> And as Jason said, even though Armada 370 and Armada XP have a working
> UART-based recovery method, users are also scared of doing bootloader
> updates, and on some consumer products, the UART is not necessarily
> easily available to the average users (may need some soldering skills,
> a level-shifter to use the TTL UART of the board, etc.).

Also remember that not all Kirkwoods support UART boot mode. If your
BootROM is too old, you will have to unbrick through JTAG. I have such
an old BootROM on my Dockstar.

Sebastian